{ pkgs, ... }:

{
  imports = [
    ./docker.nix
    ./dotnet.nix
    ./httpie.nix
    ./node.nix
    ./ollama.nix
    ./rust.nix
  ];

  environment.systemPackages = with pkgs; [
    unstable.libpq # Required for PostgreSQL
  ];
}
